Notification

Add notification recipient (batch)

Batch-assigns a user to one or more notification scopes (one row per scope). Each scope: {productId:null, projectTypeId:null} = workspace-wide; {productId, projectTypeId:null} = whole product; {productId, projectTypeId} = specific platform. Existing/duplicate scopes are skipped (idempotent). Accessible by workspace-admin and super roles.

POST
/api/v2/workspaces/{id}/notification-recipients

Authorization

BearerAuthObject
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Workspace UUID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v2/workspaces/0197f3c1-1b2c-7d3e-8f40-0a1b2c3d4e5f/notification-recipients" \  -H "Content-Type: application/json" \  -d '{    "userId": 42,    "scopes": [      {        "productId": "0197f3c1-1b2c-7d3e-8f40-0a1b2c3d4e5f",        "projectTypeId": null      }    ]  }'
{  "ids": [    "0197f3c1-1b2c-7d3e-8f40-0a1b2c3d4e5f"  ]}
{  "errors": {    "name": "Empty value"  }}
{  "message": {    "error": "Your request was made with invalid credentials."  }}
{  "message": {    "error": "You are not allowed to perform this action."  }}
{  "message": {    "error": "Oops! Something went wrong! Write to administrator. Your Request Id {f1177aee-9a99-42f0-a23f-4dd29fc39b65-672e0df972ccb}"  }}